U12LS(3)

SYNOPSIS
SUBROUTINE U12LS (A, MDA, M, N, B, MDB, NB, MODE, KRANK, RNORM, H, + W, IC, IR)

NAME
u12ls - Subsidiary to LLSIA

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (U12LS-S, DU12LS-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
Given the Householder QR factorization of A, this subroutine solves the system AX=B. If the system is of reduced rank, this routine returns a solution according to the selected mode. Note - If MODE.NE.2, W is never accessed.

SEE ALSO
LLSIA

ROUTINES CALLED
SAXPY, SDOT, SNRM2, SSWAP

REVISION HISTORY (YYMMDD)
810801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)